Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1052942 - (CVE-2013-5910) CVE-2013-5910 OpenJDK: XML canonicalizer mutable strings passed to untrusted code (Security, 8026417)
CVE-2013-5910 OpenJDK: XML canonicalizer mutable strings passed to untrusted ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140114,repor...
: Security
Depends On:
Blocks: 1049945
  Show dependency treegraph
 
Reported: 2014-01-14 08:21 EST by Tomas Hoger
Modified: 2018-07-17 05:22 EDT (History)
8 users (show)

See Also:
Fixed In Version: icedtea 2.4.4, icedtea 2.3.13, icedtea 1.12.8, icedtea 1.13.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0026 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-01-15 00:59:20 EST
Red Hat Product Errata RHSA-2014:0027 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-01-15 00:59:08 EST
Red Hat Product Errata RHSA-2014:0030 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2014-01-15 19:17:27 EST
Red Hat Product Errata RHSA-2014:0097 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2014-01-27 19:54:36 EST
Red Hat Product Errata RHSA-2014:0134 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-02-04 19:35:22 EST
Red Hat Product Errata RHSA-2014:0135 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2014-02-04 19:34:32 EST
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 14:38:49 EST
Red Hat Product Errata RHSA-2014:0705 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2014-06-10 13:07:11 EDT
Red Hat Product Errata RHSA-2014:0982 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2014-07-29 15:40:11 EDT

  None (edit)
Description Tomas Hoger 2014-01-14 08:21:40 EST
It was discovered that the Security component in OpenJDK could pass mutable strings to untrusted code.  An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions.
Comment 1 Tomas Hoger 2014-01-14 16:25:30 EST
Public now via Oracle CPU January 2014.  Fixed in Oracle JDK 7u51 and 6u71.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html
Comment 2 errata-xmlrpc 2014-01-14 20:03:15 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0027 https://rhn.redhat.com/errata/RHSA-2014-0027.html
Comment 3 errata-xmlrpc 2014-01-14 20:04:42 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0026 https://rhn.redhat.com/errata/RHSA-2014-0026.html
Comment 4 errata-xmlrpc 2014-01-15 14:18:44 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0030 https://rhn.redhat.com/errata/RHSA-2014-0030.html
Comment 5 Tomas Hoger 2014-01-16 03:53:31 EST
OpenJDK7 upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/07004bb53c3c
Comment 6 errata-xmlrpc 2014-01-27 14:56:47 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0097 https://rhn.redhat.com/errata/RHSA-2014-0097.html
Comment 8 errata-xmlrpc 2014-02-04 14:38:38 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0135 https://rhn.redhat.com/errata/RHSA-2014-0135.html
Comment 9 errata-xmlrpc 2014-02-04 14:42:39 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0134 https://rhn.redhat.com/errata/RHSA-2014-0134.html
Comment 10 errata-xmlrpc 2014-04-17 07:42:51 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html
Comment 11 errata-xmlrpc 2014-06-10 09:13:16 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:0705 https://rhn.redhat.com/errata/RHSA-2014-0705.html
Comment 12 errata-xmlrpc 2014-07-29 11:41:40 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0982 https://rhn.redhat.com/errata/RHSA-2014-0982.html

Note You need to log in before you can comment on or make changes to this bug.